#
# spec file for package libcaca (Version 0.99.beta16)
#

# norootforbuild

%define name      libcaca
%define ver       0.99.beta16
%define rel       4
%define major     0
%define lib       libcaca
%define libname   %{lib}%{major}

Name:           %{libname}
Summary:        Text mode graphics library
Summary(de):    Grafik Bibliothek für den Textmodus
Version:        %{ver}
Release:        5.1
Group:          Development/Libraries
License:        GPL v2 or later
URL:            http://libcaca.zoy.org

Source0:        libcaca-0.99.beta16.tar.bz2

%if 0%{?suse_version} >= 920
Requires:       xorg-x11-libs
%else
Requires:       XFree86-libs
%endif
Requires:       ncurses
Requires:       slang
Requires:       imlib2
%if 0%{?suse_version} >= 920
BuildRequires:  xorg-x11-devel
BuildRequires:  xorg-x11-libs
%else
BuildRequires:  XFree86-devel
%endif
BuildRequires:  ncurses-devel
BuildRequires:  slang-devel
BuildRequires:  imlib2-devel
BuildRequires:  doxygen
%if 0%{?suse_version} > 1020
BuildRequires:  t1lib
BuildRequires:  texinfo
BuildRequires:  texlive
BuildRequires:  texlive-bin
BuildRequires:  texlive-bin-latex
BuildRequires:  texlive-latex
%else
BuildRequires:  tetex
%endif
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  freetype2-devel
BuildRequires:  pkgconfig
BuildRequires:  ruby
BuildRequires:  ruby-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%ifarch x86_64 amd64 ia32e
Provides:       libcucul.so.%{major}()(64bit)
Provides:       libcucul++.so.%{major}()(64bit)
%else
Provides:       libcucul.so.%{major}
Provides:       libcucul++.so.%{major}
%endif
Provides:       libcaca = %{version}-%{release}
Obsoletes:      libcaca < %{version}-%{release}

%description
libcaca is the Colour AsCii Art library. It provides high level functions
for colour text drawing, simple primitives for line, polygon and ellipse
drawing, as well as powerful image to text conversion routines.

%description -l de
libcaca ist die Colour AsCii Art library. Sie stellt High Level Funktionen
für Bilddarstellung als farbiger Text, zum Zeichnen einfacher Primitive,
Polygone und Ellipsen, sowie mächtiger "Bild zu Text" Konvertierungsroutinen.


%package -n %{lib}-devel
Summary:      Development package for libcaca
Summary(de):  Entwicklerpaket zur libcaca
Group:        Development/Libraries/C and C++
Requires:     %{libname} = %{version}-%{release}
# Packmandepends: libcaca

%description -n %{lib}-devel
This package contains the header files and documentation
needed to develop applications with libcaca.

%description -n %{lib}-devel -l de
Dieses Paket enthält die Header-Datein und Dokumentationen
die zur Entwicklung von Anwendungen benötigt werden, welche
die libcaca verwenden.


%package -n %{libname}-ruby
Summary:      ruby bindings package for libcaca
Summary(de):  ruby Anbindung zur libcaca
Group:        Development/Libraries/Other
Requires:     %{libname} = %{version}-%{release}
# Packmandepends: libcaca

%description -n %{libname}-ruby
This package contains the ruby bindings

%description -n %{libname}-ruby -l de
Dieses Paket enthält die ruby Anbindung


%package -n caca-utils
Summary:      Text mode graphics utilities
Summary(de):  Textmodus Grafik-Utilities
Group:        Productivity/Graphics/Other
Requires:     %{libname} = %{version}-%{release}
Requires:     freetype2
Requires:     ncurses
Requires:     slang
# Packmandepends: libcaca

%description -n caca-utils
This package contains utilities and demonstration programs for libcaca, the
Colour AsCii Art library.

cacaview is a simple image viewer for the terminal. It opens most image
formats such as JPEG, PNG, GIF etc. and renders them on the terminal using
ASCII art. The user can zoom and scroll the image, set the dithering method
or enable anti-aliasing.

cacaball is a tiny graphic program that renders animated ASCII metaballs on
the screen, cacafire is a port of AALib's aafire and displays burning ASCII
art flames, cacamoir animates colourful moire circles and cacaplas displays
an old school plasma effect.

cacademo is a simple application that shows the libcaca rendering features
such as line and ellipses drawing, triangle filling and sprite blitting.

%description -n caca-utils -l de
Dieses Paket enthält Utilities und Demonstrationsprogramme zur libcaca, der
Colour AsCii Art library.

cacaview ist ein einfacher Bildbetrachter für die Textkonsole. Es öffnet
die meisten Bildformate wie JPEG, PNG, GIF usw. und rendert sie auf dem
Terminal mit Hilfe von ASCII Art. Der Benutzer kann in das Bild hinein-
zoomen und darin herumscrollen, die Ditheringmethode einstellund und
Kantenglättung an oder abstellen.

cacaball ist ein kleines Grafikprogramm, welches animierte ASCII Metaballs
auf den Bildschirm zeichnet. cacafire ist eine Portierung  port von AALibs
aafire und zeigt eine brennende ASCII art Flamme. cacamoir animiert farbige
Moire Kreise und cacaplas zeigt den Plasmaeffekt alter Schule.

cacademo ist eine einfache Anwendung die die libcaca Rendering Features,
wie das Zeichnen von Linien, Ellipsen zeichnen, Rechtecke füllen und
Sprites einblenden.

%debug_package

%prep
%setup -n libcaca-0.99.beta16

%build
%configure  --enable-slang --enable-ncurses --enable-x11 --enable-imlib2 --enable-doc
%{__make} %{?jobs:-j%{jobs}}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%makeinstall
%{__mkdir_p} %{buildroot}%{_docdir}/libcaca-devel/html
mv %{buildroot}%{_datadir}/doc/libcucul-dev/html/* %{buildroot}%{_docdir}/libcaca-devel/html/
%{__rm} -rf %{buildroot}%{_datadir}/doc/libcucul-dev
%{__rm} -rf %{buildroot}%{_datadir}/doc/libcaca-dev
%{__rm} -f %{buildroot}/cucul++.pc
#%{__rm} -f %{buildroot}%{_libdir}/libcucul++.so
pushd %{buildroot}%{_libdir} && %{__ln_s} -f libcaca.so.%{major} libcucul.so.%{major} && popd
pushd %{buildroot}%{_libdir} && %{__ln_s} -f libcaca++.so.%{major} libcucul++.so.%{major} && popd

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n %{lib}-devel
%defattr(-,root,root)
%doc doc/html/*
%if 0%{?suse_version} >= 1030
%doc doc/latex/libcaca.pdf
%endif
%{_bindir}/caca-config
%{_libdir}/lib*.*a
%{_libdir}/lib*.so
%{_includedir}/c*.h
%{_mandir}/man3/*
%{_mandir}/man1/caca-config.*
%{_libdir}/pkgconfig/*.pc

%files -n %{libname}-ruby
%defattr(-,root,root)
%{_libdir}/ruby/site_ruby/*/caca.rb
%{_libdir}/ruby/site_ruby/*/*/c*.*

%files -n caca-utils
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS NOTES README THANKS
%{_bindir}/cacademo
%{_bindir}/cacafire
%{_bindir}/cacaplay
%{_bindir}/cacaserver
%{_bindir}/cacaview
%{_bindir}/img2txt
%dir %{_datadir}/libcaca
%{_datadir}/libcaca/*
%{_mandir}/man1/cacademo.*
%{_mandir}/man1/cacafire.*
%{_mandir}/man1/cacaplay.*
%{_mandir}/man1/cacaserver.*
%{_mandir}/man1/cacaview.*
%{_mandir}/man1/img2txt.*

%changelog
* Sun Dec 28 2008 Carsten Schoene <cs@linux-administrator.com> - 0.99.beta16
- initial import
